package zaixianketang

import "shylinux.com/x/ice"

type lesson struct {
	Table
	fields string `data:"title,content"`
	create string `name:"create title* content*" role:"teacher"`
	remove string `name:"remove" role:"teacher"`
}

func (s lesson) Create(m *ice.Message, arg ...string) { s.Table.ValueCreate(m, arg...) }
func (s lesson) Remove(m *ice.Message, arg ...string) { s.Table.ValueRemove(m, arg...) }
func (s lesson) List(m *ice.Message, arg ...string)   { s.Table.ValueList(m, arg).Display("") }

func init() { ice.TeamCtxCmd(lesson{}) }
